Bug 171934 - documents don't remember printer settings
documents don't remember printer settings
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-27 17:53 EDT by Andrew
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-03 16:45:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 57232 None None None Never

  None (edit)
Description Andrew 2005-10-27 17:53:43 EDT
Description of problem:
Documents should remember the last printer and print settings (such as duplex,
tray number, page size, etc.).


Version-Release number of selected component (if applicable):
openoffice.org-calc-2.0.0-3.2.1
openoffice.org-core-2.0.0-3.2.1
openoffice.org-draw-2.0.0-3.2.1
openoffice.org-graphicfilter-2.0.0-3.2.1
openoffice.org-impress-2.0.0-3.2.1
openoffice.org-math-2.0.0-3.2.1
openoffice.org-writer-2.0.0-3.2.1
openoffice.org-xsltfilter-2.0.0-3.2.1



How reproducible:
Always

Steps to Reproduce:
1. Start a new document.
2. Print to a non-default printer with non-default printer settings.
3. Save.
4. Close.
5. Reopen.
  
Actual results:
The default printer and print settings are used.

Expected results:
The previous printer and print settings are used.

Additional info:
OpenOffice.org 2.0.0 for Windows remembers the print settings.  Also previous
versions for Windows remember too.

For some documents on our network office environment, this seemingly small
feature is very useful.
Comment 1 Caolan McNamara 2005-10-28 09:24:52 EDT
What if you use "file->printer settings" instead of "file print" ?
Comment 2 Andrew 2005-10-28 11:03:16 EDT
Caolan: Thank you for following up.

This shows that "File->Printer settings" /are/ remembered after document is
closed but /not/ after OpenOffice.org is closed

1. Start new Writer document.
2. File->Printer settings: change to non default printer, non default duplex,
non default tray
3. Save as OpenDocument.
4. File->Close.  (Note: This does not application.)
5. Re-open this document.
6. File->Printer settings: settings /are/ remembered.
7. Close OpenOffice.org.
8. Re-open this document.
6. File->Printer settings: settings /not are/ remembered (so defaults are used).



1. Start new Writer document.
2. File->Printer settings: change to non default printer, non default duplex,
non default tray.
3. Save as OpenDocument.
4. File->Close.  (Note: This does not application.)
5. Re-open this document.
6. File->Printer settings: settings /are/ remembered.
7. Close OpenOffice.org.
8. Re-open this document.
6. File->Printer settings: settings /not are/ remembered (so defaults are used).

Then, I repeated the steps directly above using "File->Print" instead of
"File->Printer settings," and the effect was the same.
Comment 3 Andrew 2005-10-28 11:04:37 EDT
Sorry.  Please disregard the second numbered list: it is a duplicate.
Comment 4 Andrew 2005-11-03 16:45:12 EST
Not specific to Fedora's RPMs, so filed upstream.

http://qa.openoffice.org/issues/show_bug.cgi?id=57232
Comment 5 Caolan McNamara 2005-11-04 03:04:29 EST
good stuff, I suspected as much but hadn't time to verify that

Note You need to log in before you can comment on or make changes to this bug.